import fs from "node:fs"
import path from "node:path"
import { globSync } from "glob"
import { cdn_carro_de_boi } from "p-comuns"
import { mapearPasta } from "../src/mapear_pasta"

const pasta_estaticos = path.resolve(process.cwd(), "estaticos")
const pasta_src = path.resolve(process.cwd(), "src")
const _version = process.env.npm_package_version

export const gerar = (async () => {
  mapearPasta({
    path,
    fs,
    globSync,
    prefixos: {
      relativo: "/estaticos",
      "link-local": "http://localhost:5020/estaticos",
      "link-servidor": `${cdn_carro_de_boi}/estaticos`,
      node_modules: "node_modules/p-estaticos/estaticos",
    },
    arquivoDestino: path.resolve(pasta_src, "estaticos.ts"),
    pasta: pasta_estaticos,
  })
})()

if (process.argv.includes("gerar")) {
  gerar.then(() => {
    console.log("Arquivo gerado com sucesso")
  })
}
